<script>

  function cntAfm032(cucd) {
    sendData = {};
    sendData["cucd"] = cucd;

    common.postData(
        "./cntAfm032.php"
      , sendData
      , function (data) {
        // 特殊処理があれば
        var obj = JSON.parse(data);

        $("#detail").find(".afm032cnt").val(obj.afm032cnt);

      }
      , function (error) {
        alert(error.msg);
      }
    );
  }

  function chkMst() {
    
    var frm = $("#detail");
    var sendData = {};
    sendData["bkcd"] = frm.find(".bkcd").val();
    sendData["bkscd"] = frm.find(".bkscd").val();

    common.postData(
        "./chkMst.php"
      , sendData
      , function (data) {
        // 特殊処理があれば
        var obj = JSON.parse(data);

        if(obj.retBkcd && obj.retBkscd) {
          $(".headermenu").find(".btn-reg").trigger("click");
        } else {
          alert('エラーがあります。');
          if(!obj.retBkcd) {
            common.addError(frm.find(".bkcd"), "銀行コードを確認して下さい。", null, true);
          }
          if(!obj.retBkscd){
            common.addError(frm.find(".bkscd"), "銀行支店コードを確認して下さい。", null, true);
          }
        }
      }
      , function (error) {
        alert(error.msg);
      }
    );
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 削除/廃止
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-haishi").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-clear").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7 一括更新
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af03m").trigger("click");
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
      $(".Func4").addClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func9").addClass("noevent");
    } else {  //表示後
      $(".Func2").addClass("noevent");
    }
    //=== header ===

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      location.replace("./");
    });

    $(document).on("click", ".btn-search-before", function(e) {

      var errflg = false;
      var frm = $(this).closest(".contents").find(".header");
      let $cucd = frm.find(".cucd");
      if (stringUtil.isEmpty($cucd.val())) {
        errflg = true;
        common.addError( $cucd, "得意先コードを入力して下さい。", null, true);
      }
      if (errflg) {
         alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-search").trigger("click");
      }

    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frm = $(".detail");
      common.clearFormError(frm);

      if (stringUtil.isEmpty(frm.find(".cunm:first").val())) {
        errflg = true;
        common.addError(frm.find(".cunm:first"), "得意先名を入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cumcd2").val())) {
        errflg = true;
        common.addError(frm.find(".cumcd2"), "請求管理を入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cumcd3").val())) {
        errflg = true;
        common.addError(frm.find(".cumcd3"), "売掛管理を入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cusei").val())) {
        errflg = true;
        common.addError(frm.find(".cusei"), "請求区分を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cuspflg").val())) {
        errflg = true;
        common.addError(frm.find(".cuspflg"), "特別対応を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cuosflg").val())) {
        errflg = true;
        common.addError(frm.find(".cuosflg"), "オリジナル請求書を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".staxcls").val())) {
        errflg = true;
        common.addError(frm.find(".staxcls"), "計算単位を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cutax").val())) {
        errflg = true;
        common.addError(frm.find(".cutax"), "伝票表示区分を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".custdc").val())) {
        errflg = true;
        common.addError(frm.find(".custdc"), "[消費税処理]端数処理を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cutaxc").val())) {
        errflg = true;
        common.addError(frm.find(".cutaxc"), "[消費税処理]端数処理方法を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".custdc1").val())) {
        errflg = true;
        common.addError(frm.find(".custdc1"), "[税はがし処理]端数処理を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cutaxc1").val())) {
        errflg = true;
        common.addError(frm.find(".cutaxc1"), "[税はがし処理]端数処理方法を選択して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cudenp2").val())) {
        errflg = true;
        common.addError(frm.find(".cudenp2"), "伝票種別を選択して下さい。", null, true);
      }


      if (!stringUtil.checkCharType(frm.find(".cuknm").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cuknm"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cuknms").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cuknms"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cukad1").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cukad1"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cukad2").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cukad2"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cusknm").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cusknm"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cuskad1").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cuskad1"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".cuskad2").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".cuskad2"), "カナ(半角)は半角で入力して下さい。", null, true);
      }


      if (errflg) {
        alert('エラーがあります。');
      } else {
        if(!(stringUtil.isEmpty(frm.find(".bkcd").val())) || !(stringUtil.isEmpty(frm.find(".bkscd").val()))) {
          //銀行コードのマスタチェックをしてから登録
          chkMst();

        } else {
          $(".headermenu").find(".btn-reg").trigger("click");
        }
      }

    });


    //=== header ===
    $(document).on("focus", ".dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    $(document).on("afterSelectAfm03x", ".headerCucd", function(e){ //検索画面から戻る
      $(".btn-search-before").trigger("click");
    });

    $(document).on("afterChangeCucd",".headerCucd", function(e) {
      cntAfm032($("form.header").find(".cucd").val());
    });


    //=== body ===

    $(document).on("afterChangeCucd", ".cumcd1,.cumcd4,.cumcd6,.cumcd3,.cumcd2", function(e){
      var $me = $(this);
      var grp = $me.closest(".cucdGrp");
      var me = common.getValue($me);
      var frmh = $("form.header");

      console.log('me:'+me);
      console.log("header:"+$("form.header").find(".cucd").val());

      if(stringUtil.isEmpty(common.getValue(grp.find(".retcucd")))) {
        if(me != common.getValue(frmh.find(".cucd"))) {
          common.addError($me,"入力された得意先は未登録です");
          $me.val("");
        } else {
          $me.val(me);
        }
      }
      
    });


    $(document).on("change",".cutax", function(e) {
      var me = $(this);
      if(me.val() == '1') {
        $("#detail").find(".staxcls").val("0");
        $("#detail").find(".staxcls").attr("disabled",true);
      } else {
        $("#detail").find(".staxcls").attr("disabled",false);
      }
    });
    $("#detail").find(".cutax").trigger("change");



    //=== footer ===


    // 初回フォーカス
    var form = $(".header");
    if(!(form.hasClass("noevent"))){
      $(".header").find(".cucd").focus();
    }else{
      $("#detail").find(".cunm:first").focus();
    }
  });

</script>
